/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019-2021 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

/*! \file */

#ifndef UIRC_GUARD_PUBLIC_COMMANDS
#define UIRC_GUARD_PUBLIC_COMMANDS

#define IRC_CMD_PASS     "PASS"
#define IRC_CMD_NICK     "NICK"
#define IRC_CMD_USER     "USER"
#define IRC_CMD_OPER     "OPER"
#define IRC_CMD_MODE     "MODE"
#define IRC_CMD_SERVICE  "SERVICE"
#define IRC_CMD_QUIT     "QUIT"
#define IRC_CMD_SQUIT    "SQUIT"
#define IRC_CMD_JOIN     "JOIN"
#define IRC_CMD_PART     "PART"
#define IRC_CMD_MODE     "MODE"
#define IRC_CMD_TOPIC    "TOPIC"
#define IRC_CMD_NAMES    "NAMES"
#define IRC_CMD_LIST     "LIST"
#define IRC_CMD_INVITE   "INVITE"
#define IRC_CMD_KICK     "KICK"
#define IRC_CMD_PRIVMSG  "PRIVMSG"
#define IRC_CMD_NOTICE   "NOTICE"
#define IRC_CMD_MOTD     "MOTD"
#define IRC_CMD_LUSERS   "LUSERS"
#define IRC_CMD_VERSION  "VERSION"
#define IRC_CMD_STATS    "STATS"
#define IRC_CMD_LINKS    "LINKS"
#define IRC_CMD_TIME     "TIME"
#define IRC_CMD_CONNECT  "CONNECT"
#define IRC_CMD_TRACE    "TRACE"
#define IRC_CMD_ADMIN    "ADMIN"
#define IRC_CMD_INFO     "INFO"
#define IRC_CMD_SERVLIST "SERVLIST"
#define IRC_CMD_SQUERY   "SQUERY"
#define IRC_CMD_WHO      "WHO"
#define IRC_CMD_WHOIS    "WHOIS"
#define IRC_CMD_WHOWAS   "WHOWAS"
#define IRC_CMD_KILL     "KILL"
#define IRC_CMD_PING     "PING"
#define IRC_CMD_PONG     "PONG"
#define IRC_CMD_ERROR    "ERROR"
#define IRC_CMD_AWAY     "AWAY"
#define IRC_CMD_REHASH   "REHASH"
#define IRC_CMD_DIE      "DIE"
#define IRC_CMD_RESTART  "RESTART"
#define IRC_CMD_SUMMON   "SUMMON"
#define IRC_CMD_USERS    "USERS"
#define IRC_CMD_WALLOPS  "WALLOPS"
#define IRC_CMD_USERHOST "USERHOST"
#define IRC_CMD_ISON     "ISON"

#endif /* UIRC_GUARD_PUBLIC_COMMANDS */

